Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.example.com/solana/delivery \ --header 'Content-Type: application/json' \ --data ' { "drone_pda": "<string>", "airspace_pda": "<string>", "ipfs_cid": "<string>", "latitude": 123, "longitude": 123, "altitude_m": 123, "delivered_at": 123 } '
{ "signature": "<string>", "slot": 123, "confirmation": "<string>", "fee_lamports": 123 }
Base58 drone PDA
Base58 airspace PDA
IPFS CID of delivery evidence
Unix timestamp
Delivery recorded
Base58-encoded transaction signature
Slot number
Confirmation status
Transaction fee in lamports
Was this page helpful?